Bug 16032 - Use Font Awesome icon in "note" styled divs
Summary: Use Font Awesome icon in "note" styled divs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16080
  Show dependency treegraph
 
Reported: 2016-03-09 18:55 UTC by Owen Leonard
Modified: 2016-12-05 21:26 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16032 - Use Font Awesome icon in "note" styled divs (9.01 KB, patch)
2016-03-09 19:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16032 - Use Font Awesome icon in "note" styled divs (9.15 KB, patch)
2016-03-16 13:49 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16032 - Use Font Awesome icon in "note" styled divs (9.28 KB, patch)
2016-03-17 09:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-09 18:55:05 UTC
There are a few places in Koha where <div class="note"> is used, styled with background image. We should use a Font Awesome icon in place of the image.
Comment 1 Owen Leonard 2016-03-09 19:11:36 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-16 13:49:40 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-17 09:30:22 UTC
Created attachment 49248 [details] [review]
Bug 16032 - Use Font Awesome icon in "note" styled divs

Several pages use <div class="note"> to display important information
about the functionality on the page. The style of this div can be
modified to use Font Awesome, eliminating an image file.

To test, apply the patch and clear your browser cache if necessary.

- Go to Administration -> Authorized values.
- Confirm that the "NOTE" box is styled correctly.
- Edit an existing authorized value.
- Confirm that the "NOTE" box is styled correctly.

- Go to Tools -> Batch record deletion.
- Submit a batch of biblionumbers.
- Confirm that the "Reminder" box is styled correctly.
- Go back and submit a batch of authority numbers.
- Confirm that the "Reminder" box is styled correctly.

- Go to Tools -> Batch record modification.
- Submit a batch of biblionumbers.
- Confirm that the "Reminder" box is styled correctly.
- Go back and submit a batch of authority numbers.
- Confirm that the "Reminder" box is styled correctly.

- Check that there are no other references to "note.png" in the
  templates.

Followed test plan, works as expected
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-23 21:02:53 UTC
Pushed to Master - should be in the May 2016 release.  Thanks!